The following commit has been merged in the master branch:
commit c977e24e4de49054efab016a33ef101977968a5a
Author: Francesco Paolo Lovergine <fran...@debian.org>
Date:   Fri Jun 21 10:52:28 2013 +0200

    A few deb-bugs now are fixed.

diff --git a/debian/changelog b/debian/changelog
index 59d3526..69ca7cf 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,12 +1,12 @@
 gdal (1.10.0-0~exp1) experimental; urgency=low
 
   * Moved to new LIBKML driver instead of the old KML one. It has a much
-    better support for complex KML files.
+    better support for complex KML files. (closes: #685695)
   * Merged NMU 1.9.0-3.1:
     Fix "FTBFS when ruby1.9.1 installed": force building with ruby1.8:
     set variables in debian/rules and new patch force-ruby1.8 to ruby1.8.
     Thanks to C├ędric Boutillier for reviewing and testing this patch.
-    (Closes: #684433)
+    (closes: #684433)
   * Added libarmadillo support.
   * Added TIFF/GEOTIFF symbols rename to definitively solve problem of
     symbol collisions for programs that both links geotiff/tiff libraries.
@@ -14,6 +14,13 @@ gdal (1.10.0-0~exp1) experimental; urgency=low
     related functions: changed API declaration.
   * Policy bumped to 3.9.4. No changes required.
   * New upstream version with many fixes. All patches refreshed.
+       (closes: #679887)
+  * Added a Breaks: libgdal1-1.6.0. I don't know if it still makes sense, 
+    but for sure it does not hurt. (closes: #677403)
+  * Now debian/rules should be parallel-safe for making. Thanks Gregor Hermann
+    for the patch. (closes: #686014)
+  * Now it depends explicitly on epsilon >= 0.9.1 by upstream.
+    (closes: #672738)
 
  -- Francesco Paolo Lovergine <fran...@debian.org>  Sun, 04 Apr 2013 11:39:57 
+0100
 
diff --git a/debian/control b/debian/control
index c238f38..eac038f 100644
--- a/debian/control
+++ b/debian/control
@@ -9,7 +9,7 @@ Build-Depends: debhelper (>= 8), zlib1g-dev, libnetcdf-dev (>= 
1:4.0.0),
  python-numpy, doxygen, d-shlibs, libgeos-dev, libmysqlclient-dev, 
python-all-dev (>= 2.6.6-3~),
  libcurl4-gnutls-dev, libsqlite3-dev, libogdi3.2-dev,
  ruby1.8, ruby1.8-dev, chrpath, swig, patch, libexpat1-dev, libproj-dev,
- libdap-dev, libxml2-dev, libspatialite-dev (>= 2.4.0~rc2-4), libepsilon-dev 
(>= 0.9.1),
+ libdap-dev, libxml2-dev, libspatialite-dev (>= 2.4.0~rc2-4), libepsilon-dev 
(>= 0.9.1-1~),
  libpoppler-private-dev, liblzma-dev, libopenjpeg-dev, libarmadillo-dev, 
libfreexl-dev (>= 1.0.0),
  libkml-dev (>= 1.3.0~), liburiparser-dev, python3-all-dev, python3-numpy
 Build-Conflicts: python-setuptools
@@ -28,6 +28,7 @@ Recommends: proj-bin
 Provides: libgdal1
 Replaces: libgdal1
 Conflicts: libgdal1 (<= 1.10.0-0~)
+Breaks: libgdal1-1.6.0
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
diff --git a/debian/rules b/debian/rules
index bbdb273..88cd3d4 100755
--- a/debian/rules
+++ b/debian/rules
@@ -105,8 +105,8 @@ configure-stamp:
 build-arch: build
 build-indep: build
 
-build: configure-stamp build-stamp
-build-stamp:
+build: build-stamp
+build-stamp: configure-stamp
        dh_testdir
 
        cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
@@ -189,8 +189,8 @@ install: build
        install -o root -g root -d 
$(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples
        install -o root -g root -m 755 $(CURDIR)/swig/python/samples/*.py 
$(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples/.
        # create lintian overrides file
-       echo "libgdal1: embedded-library usr/lib/libgdal.so.$$(basename 
debian/tmp/usr/lib/libgdal.so.*.*.*|cut -d. -f3,4,5): tiff" \
-               >$(CURDIR)/debian/libgdal1.lintian-overrides
+       echo "libgdal1h: embedded-library usr/lib/libgdal.so.$$(basename 
debian/tmp/usr/lib/libgdal.so.*.*.*|cut -d. -f3,4,5): tiff" \
+               >$(CURDIR)/debian/libgdal1h.lintian-overrides
 
 binary-common:
        dh_testdir
@@ -209,14 +209,14 @@ binary-common:
        dh_numpy
        dh_perl
        # Adds per arch symbols for compatible archs
-       ln -f $(CURDIR)/debian/libgdal*.symbols.i386 
$(CURDIR)/debian/libgdal1.symbols.kfreebsd-i386
-       ln -f $(CURDIR)/debian/libgdal*.symbols.amd64 
$(CURDIR)/debian/libgdal1.symbols.kfreebsd-amd64
+       ln -f $(CURDIR)/debian/libgdal*.symbols.i386 
$(CURDIR)/debian/libgdal1h.symbols.kfreebsd-i386
+       ln -f $(CURDIR)/debian/libgdal*.symbols.amd64 
$(CURDIR)/debian/libgdal1h.symbols.kfreebsd-amd64
        # Forces failure ignoring to collect new symbols on all archs
        dh_makeshlibs -- -c0
        # Forces failure when symbols change
        #dh_makeshlibs
        dh_installdeb
-       dh_shlibdeps -L libgdal1 -l debian/libgdal1/usr/lib
+       dh_shlibdeps -L libgdal1 -l debian/libgdal1h/usr/lib
        dh_gencontrol
        dh_md5sums
        dh_builddeb

-- 
GDAL/OGR library and tools

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to